Bug 80741 - Freeze when use specific (?) ODS file as address data source
Summary: Freeze when use specific (?) ODS file as address data source
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.1 rc
Hardware: x86 (IA32) Windows (All)
: high critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-01 04:00 UTC by Kevin Suo
Modified: 2015-11-08 17:07 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test ods file to be used as address book source (12.90 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-07-01 04:00 UTC, Kevin Suo
Details
backtrace for the crash when closing (2.63 KB, text/plain)
2014-07-01 04:26 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2014-07-01 04:00:15 UTC
Created attachment 102044 [details]
test ods file to be used as address book source

Steps to reproduce:
1. Save the attached ods file somewhre on your harddisk;
2. Start Writer, go to "Tools - Adress Book Source", and make the above ods spreadsheet as the address data source. Finaly you come back to the writer main window.
3. Close Writer. 
4. Start Writer again, go to "View - Data Source", find the data you have just registered, and try to click the table headers of the datasource.

Current Behaviour:
a. At step 3, when you close writer you get the "application error memory can not be read" message.
b. At step 4, writer freezes. If you kill the process and restart Writer, "mail merge" can not be started anymore (freezes).
c. To bring everything back no normal, you have to delete the address book source from your registered data source (Tools - Options - LibreOffice Base - Databases..._
Comment 1 Kevin Suo 2014-07-01 04:00:40 UTC
OS: Windows XP
Version: 4.3.0.1
Comment 2 Kevin Suo 2014-07-01 04:13:27 UTC
Added the already fixed Bug 80025 as see also:
Bug 80025 - Database file with thunderbird address book as data source crashes LibreOffice
Comment 3 Yousuf Philips (jay) (retired) 2014-07-01 04:25:23 UTC
Confirmed on Windows 7 with 4.3. I got a crash at step 3 when i closed writer and then another crash when i just opened the data source. Confirmed this doesnt happen on Linux.
Comment 4 Yousuf Philips (jay) (retired) 2014-07-01 04:26:01 UTC
Created attachment 102045 [details]
backtrace for the crash when closing
Comment 5 Yousuf Philips (jay) (retired) 2014-07-01 04:31:08 UTC
Regression started in 4.1 as its fine in 4.0.6.
Comment 6 Cor Nouws 2014-07-01 05:20:08 UTC
must be some special file? I always use this function.
Comment 7 Kevin Suo 2014-07-01 05:34:13 UTC
(In reply to comment #6)
> must be some special file? I always use this function.

It's not a special file. It's a simple spreadsheet file created from scratch which contains only these two columns:
ID, Name
1, A
2, B
3, C

P.S.: Register the ods file as data source by creating a LibreOffice Base file do not freeze.
Comment 8 Björn Michaelsen 2014-08-21 12:21:10 UTC
(This is an automated message.)

LibreOffice development currently prioritizes bugs with the so called MAB (most annoying bugs) -- as this bug has not run through that process (including writing a short rationale for this bug being a candidate and other who are watching the tracker bug silently approving that rationale etc.) its priority is set to high. Note this is effectively no change in the urgency assigned to this bug, as we are currently not making a difference between high and highest and severity is untouched.

You can find out more about MABs and how the process works by contacting libreoffice qa on irc:

 http://webchat.freenode.net/?channels=libreoffice-qa

The QA wiki page also gives you hints on how to get in contact with the team (if IRC fails you, your next best choice is the mailing list):

 https://wiki.documentfoundation.org/QA
Comment 9 Alex Thurgood 2015-01-03 17:40:48 UTC
Adding self to CC if not already on
Comment 10 Julien Nabet 2015-11-08 17:07:32 UTC
I could reproduce this on Win7 with LO 4.4.5 but don't reproduce this with brand new 5.0.3

Don't hesitate to reopen this tracker if you still reproduce this with 5.0.3